tt_message_create_super(library call)

NAME
tt_message_create_super — create and re-address a copy of a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_message tt_message_create_super(
Tt_message m);

DESCRIPTION

The tt_message_create_super function creates a copy of the specified message and re-addresses the copy of the message to the parent of the otype contained within the message.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_create_super function returns the opaque unique handle for the re-addressed message. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned handle:

TT_OK
    The operation completed successfully.

TT_ERR_ADDRESS
    The specified Tt_address is invalid.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

TT_ERR_OTYPE
    The specified object type is not the name of an installed object type.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

APPLICATION USAGE

The otype of the message m can be determined using the tt_message_otype(3) function.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_message_otype(3), tt_message_send(3), tt_message_destroy(3).